name: rm_genai
channels:
  - conda-forge
  - huggingface
  - pytorch
  - nvidia
dependencies:
  - pip>=23.3
  - ipython
  - ipykernel
  - pandas>=2.1.2
  - scikit-learn
  - transformers
  - datasets
  - evaluate
  - accelerate
  - sentencepiece
  - protobuf
  - nltk>=3
  - rouge-score
  - sacrebleu
  - openai
  - jsonlines
  - tiktoken
  - peft
  - pip:
    - --extra-index-url https://download.pytorch.org/whl/cu118
    - torch
    - torchvision
    - torchaudio
    - bitsandbytes
    - qdrant-client
    - fastembed
    - pymilvus